> For the complete documentation index, see [llms.txt](https://docs.terminal.africa/tship/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.terminal.africa/tship/parcel/update-parcel.md).

# Update Parcel

## /parcels/:parcel\_id

<mark style="color:orange;">`PUT`</mark> `https://api.terminal.africa/v1/parcels/:parcel_id`

This endpoint allows you to update information in an existing parcel. Only unused parcels can be updated.

#### Path Parameters

| Name                                         | Type   | Description                                  |
| -------------------------------------------- | ------ | -------------------------------------------- |
| parcel\_id<mark style="color:red;">\*</mark> | String | Unique ***parcel\_id*****&#x20;for** parcel. |

#### Headers

| Name                                            | Type   | Description                      |
| ----------------------------------------------- | ------ | -------------------------------- |
| Authorization<mark style="color:red;">\*</mark> | String | Set value to `Bearer SECRET_KEY` |
| Content-Type                                    | String | Set value to `application/json`  |

#### Request Body

| Name        | Type   | Description                                                                                                                        |
| ----------- | ------ | ---------------------------------------------------------------------------------------------------------------------------------- |
| description | String | Description of items in parcel.                                                                                                    |
| items       | Array  | List of items in parcel. Array of [parcel item](/tship/miscallaneous/parcel-item.md) objects representing the items in the parcel. |
| packaging   | String | Unique packaging\_id to be used in parcel.                                                                                         |
| metadata    | Object | Additional information for a parcel.                                                                                               |

{% tabs %}
{% tab title="200: OK Parcel updated successfully." %}

```javascript
{
	status: true,
	message: 'Parcel updated successfully',
	data: {
		description: "Cardboard box containing shoes from Shipmonk store",
		id: 'Zt4Xh2pbbCmeVcr5YH9lsFHGqoW3i5w3',
		items: [{
			description: 'Shoes purchased from Shipmonk Store',
			name: 'Rubber Boots',
			currency: 'NGN',
			value: 25000',
			weight: 2.5
			quantity: 1
		}],
		metadata: {},		
		packaging: 'PA-97263925515',
		parcel_id: 'PC-25164820699',
		totalWeight: 2.51,
		weight: 2.5,
		weight_unit: 'kg',
		created_at: '2021-07-13T20:25:53.011Z',
		updated_at: '2021-07-13T20:25:53.011Z'
	}
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.terminal.africa/tship/parcel/update-parcel.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
